﻿"use strict";

var imRepo = require("../repository/im.repo");

function save(to, from, type, content, handler) {
	imRepo.execQuery({
		"sql": "INSERT INTO msg_p2p (to_uid,from_uid,type,content) VALUES (?,?,?,?)",
		"args": [to, from, type, content],
		"handler": handler
	});
}

function findMessage(to, from, start, count, handler) {
	var sql = "SELECT id, to_uid, from_uid, type, content, timestamp from msg_p2p " +
        "WHERE (to_uid=? AND from_uid=?) OR (to_uid=? AND from_uid=?) AND id < ? GROUP BY timestamp DESC LIMIT ?";

	imRepo.execQuery({
		"sql": sql,
		"args": [to, from, from, to, start, count],
		"handler": handler
	});
}

exports.save = save;
exports.findByGroupId = findMessage;
